<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class HealthTreatmentInvoiceItem extends Model
{
    protected $guarded = ['id', 'created_at', 'updated_at'];

    protected $casts = [
        'amount' => 'decimal:0',
    ];

    public function updateRecord(): BelongsTo
    {
        return $this->belongsTo(HealthTreatmentUpdate::class, 'health_treatment_update_id');
    }
}
